This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507411 - Install fails at "finding storage devices"
Install fails at "finding storage devices"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 13:10 EDT by Paul Thomas
Modified: 2010-01-20 13:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:49:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda bug report (101.12 KB, text/plain)
2009-06-22 13:10 EDT, Paul Thomas
no flags Details
logfile that were in the tmp directory (39.38 KB, application/octet-stream)
2009-07-11 14:19 EDT, charles harris
no flags Details

  None (edit)
Description Paul Thomas 2009-06-22 13:10:07 EDT
Created attachment 348945 [details]
anaconda bug report

Description of problem:
Install fails at "finding storage devices". Last week I tried the install with the install DVD when I ran into the anaconda bug, but I had now way to get the report out of the install environment. Now I've tried the install with the Live CD and "Install to Hard Drive" with the same result. I've attached the anaconda bug report.

Version-Release number of selected component (if applicable):
Fedora 11 x86_64 DVD & Fedora 11 x86_64 Live KDE CD

How reproducible:
Start install DVD or run "Install to Hard Drive" from live CD.
  
Actual results:
See attached anaconda bug report

Additional info:
This system has several software raids that were created with the Fedora 9 Installer. Here is the /proc/partitions output:
[liveuser@localhost ~]$ more /proc/partitions
major minor  #blocks  name

   7        0          4 loop0
   7        1          8 loop1
   7        2     700160 loop2
   7        3    3145728 loop3
   7        4     524288 loop4
   8        0  244198584 sda
   8        1   20482843 sda1
   8        2   92156872 sda2
   8        3   20482875 sda3
   8        4          1 sda4
   8        5   20482843 sda5
   8        6   90590503 sda6
   8       16  244198584 sdb
   8       17   20482843 sdb1
   8       18   92156872 sdb2
   8       19   20482875 sdb3
   8       20          1 sdb4
   8       21   20482843 sdb5
   8       22   90590503 sdb6
 253        0    3145728 dm-0
 253        1    3145728 dm-1
   9        0   20482752 md0
   9        3   92156800 md3
   9        1   20482752 md1
 259        0   20466778 md1p1
   9        2   20482752 md2
   9        4  181180416 md4

The only other oddity in this machine is that the motherboard has integrated GeForce 8200 graphics, but I'm using a PCIE Radeon HD 3450 card.
Comment 1 charles harris 2009-06-23 23:34:16 EDT
I have the same problem. It may be related to having software raided devices as all my partitions are raid-1.

major minor  #blocks  name

   8     0  312571224 sda
   8     1     987966 sda1
   8     2    3911827 sda2
   8     4          1 sda4
   8     5   19543041 sda5
   8     6   19543041 sda6
   8     7   19543041 sda7
   8     8   19543041 sda8
   8     9  229496526 sda9
   8    16  312571224 sdb
   8    17     987966 sdb1
   8    18    3911827 sdb2
   8    20          1 sdb4
   8    21   19543041 sdb5
   8    22   19543041 sdb6
   8    23   19543041 sdb7
   8    24   19543041 sdb8
   8    25  229496526 sdb9
   9     4   19542976 md4
   9     1    3911744 md1
   9     2   19542976 md2
   9     5   19542976 md5
   9     3   19542976 md3
   9     0     987840 md0
   9     6  229496448 md6
 253     0   20971520 dm-0
 253     1   20971520 dm-1
 253     2   41943040 dm-2
 253     3   20971520 dm-3
 253     4   20971520 dm-4
 253     5   20971520 dm-5
 253     6   20971520 dm-6
Comment 2 charles harris 2009-07-11 14:19:27 EDT
Created attachment 351354 [details]
logfile that were in the tmp directory

Seems that anaconda wasn't quite dead, Ctrl-Alt-F2 got me a terminal and I mounted a thumbdrive and copied over the log files that were in tmp. Is there anything else that might be useful?
Comment 3 David Lehman 2009-08-14 12:53:10 EDT
(In reply to comment #2)
> Created an attachment (id=351354) [details]
> logfile that were in the tmp directory
> 
> Seems that anaconda wasn't quite dead, Ctrl-Alt-F2 got me a terminal and I
> mounted a thumbdrive and copied over the log files that were in tmp. Is there
> anything else that might be useful?  

I see no evidence of a crash anywhere in the logs you provided. Can you describe the behavior that made you think there was a crash?


Please attach logs individually as plain text attachments in the future.
Comment 4 David Lehman 2009-08-14 12:54:42 EDT
(In reply to comment #0)
> Created an attachment (id=348945) [details]
> anaconda bug report
> 
> Description of problem:
> Install fails at "finding storage devices". Last week I tried the install with
> the install DVD when I ran into the anaconda bug, but I had now way to get the
> report out of the install environment. Now I've tried the install with the Live
> CD and "Install to Hard Drive" with the same result. I've attached the anaconda
> bug report.


Fedora 11 does not support the use of partitioned md devices. We are working on at least not crashing when we find them for F12.
Comment 5 charles harris 2009-08-14 13:09:19 EDT
Hi Dave,

Anaconda didn't crash, it just stopped progressing at the search, leaving up the message. What do you mean by partitioned md device? I have a raid1 partition containing a lvm volume, and various other raid1 partitions, is that the problem? And if so, why has the ability to deal with such a configuration gone away? Seems like a regression to me.

As to the attachment, bugzilla didn't let me post it as a text file. Maybe I needed to change the extension?

Chuck
Comment 6 David Lehman 2009-08-14 13:34:40 EDT
(In reply to comment #5)
> Hi Dave,
> 
> Anaconda didn't crash, it just stopped progressing at the search, leaving up

How long did it sit before you decided it was stuck?

> the message. What do you mean by partitioned md device? I have a raid1

It is an md device with a partition table instead of a filesystem, but you don't have one -- the original reporter does/did.

> As to the attachment, bugzilla didn't let me post it as a text file. Maybe I
> needed to change the extension?

You created a compressed tar archive of the entire /tmp directory instead of just attaching /tmp/storage.log, /tmp/anaconda.log, and /tmp/program.log. What you did is certainly better than no logs at all, but it's troublesome to download/uncompress/extract as compared to being able to view the logs directly from the bug.
Comment 7 charles harris 2009-08-14 14:05:18 EDT
I compressed it *because* bugzilla wouldn't let me attach the log files. But let's not argue that small point. As to the time period, I tried the last install just to try getting more information. On my first attempt I waited about five minutes, time for a cup of coffee.

One of the virtues of Fedora as opposed to Ubuntu was it's transparent handling of md devices during install, the normal Ubuntu install disk can't handle that. So I would sure like to see this problem fixed.
Comment 8 David Lehman 2009-08-14 14:40:07 EDT
Do you remember what bugzilla told you when not allowing you to attach log files? (I'm not interested in arguing -- I'd like to resolve the problem if I can.)

If you can, try the install again. This time, when you're pretty sure it is stuck (give it a few minutes), go to tty2 and run this command:

  killall -USR2 anaconda

Then, attach the file /tmp/anacdump.txt to this bug report.

Note You need to log in before you can comment on or make changes to this bug.